#
# spec file for package sudo (Version 1.6.5p2)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir aaa_version autoconf automake base bash bindutil binutils bison bzip cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         sudo
Copyright:    BSD-style
Group:        System/Base
Autoreqprov:  on
Version:      1.6.5p2
Release:      79
Summary:      Execute some commands as root
URL:          http://www.courtesan.com/sudo/
Source0:      sudo-%{version}.tar.bz2
Source1:      sudo.pamd
Patch0:       sudo-%{version}-defaults.patch
Patch1:       sudo-%{version}-prompt.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
'sudo' is a command that allows users to execute some commands as
root. The /etc/sudoers file (edited with 'visudo') specifies which
users have access to sudo and which commands they can run. 'sudo' logs
all its activities to syslogd, so the system administrator can
keep an eye on things. Sudo asks for the password for initializing a
check period of a given time N (where N is defined at installation and
is set to 5 minutes by default).

Authors:
--------
    Jeff Nieusma <nieusma@rootgroup.com>
    David Hieb <davehieb@rootgroup.com>
    Ian McCloghrie <ian@ucsd.edu>

SuSE series: ap

%prep
%setup
%patch0
%patch1
#
cp %{S:1} .

%build
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr --sbindir=/usr/sbin --mandir=%{_mandir} --with-c2 \
	    --with-logfac=auth --with-insults --with-all-insults \
	    --with-ignore-dot --with-tty-tickets --enable-shell-sets-home \
	    --with-sudoers-mode=0640 --with-pam --with-env-editor
make

%install
make install bindir=${RPM_BUILD_ROOT}/usr/bin sbindir=${RPM_BUILD_ROOT}/usr/sbin \
             mandir=${RPM_BUILD_ROOT}/%{_mandir} sysconfdir=${RPM_BUILD_ROOT}/etc
install -d -m 700 ${RPM_BUILD_ROOT}/var/run/sudo
install -d -m 755 ${RPM_BUILD_ROOT}/etc/pam.d
install -m 644 sudo.pamd ${RPM_BUILD_ROOT}/etc/pam.d/sudo

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc BUGS CHANGES HISTORY LICENSE  README RUNSON TODO TROUBLESHOOTING *.pod
%config(noreplace) /etc/sudoers
%config /etc/pam.d/sudo
/usr/bin/*
/usr/sbin/*
/var/run/sudo
%doc %{_mandir}/*/*

%changelog -n sudo
* Mon Apr 22 2002 - pmladek@suse.cz
- fixed a heap-overflow (prompt patch)
* Tue Feb 12 2002 - pmladek@suse.cz
- insults are really off by default now [#13134]
- sudo.pamd moved from patch to sources
- used %%defattr(-,root,root)
* Thu Jan 24 2002 - postadal@suse.cz
- updated to version 1.6.5p2
* Thu Jan 17 2002 - pmladek@suse.cz
- updated to version 1.6.5p1
- removed obsolete security patch (to do not run mailer as root),
  sudo runs mailer again as root but with hard-coded environment
* Wed Jan 02 2002 - pmladek@suse.cz
- aplied security patch from Sebastian Krahmer <krahmer@suse.de>
  to do not run mailer as root
- NOTIFY_BY_EMAIL enabled
* Tue Oct 30 2001 - bjacke@suse.de
- make /etc/sudoers (noreplace)
* Wed Aug 15 2001 - pmladek@suse.cz
- updated to version 1.6.3p7
* Tue Aug 14 2001 - ro@suse.de
- Don't use absolute paths to PAM modules in PAM config files
* Tue Feb 27 2001 - pblaha@suse.cz
- update on 1.6.3p6 for fix potential security problems
* Mon Jun 26 2000 - schwab@suse.de
- Add %%suse_update_config.
* Thu May 04 2000 - smid@suse.cz
- upgrade to 1.6.3
- buildroot added
* Tue Apr 04 2000 - uli@suse.de
- added "--with-env-editor" to configure call
* Wed Mar 01 2000 - schwab@suse.de
- Specfile cleanup, remove Makefile.Linux
- /usr/man -> /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jun 09 1999 - kukuk@suse.de
- update to version 1.5.9p1
- enable PAM
* Thu Jan 02 1997 - florian@suse.de
- update to version 1.5.2
- sudo has changed a lot, please check the sudo documentation
